/*
 * This file is part of the Emulex Linux Device Driver for iSCSI Host Bus
 * Adapters.
 * Copyright (C) 2003 Adaptec, Inc.
 * Copyright (C) 2005-2011 Emulex.
 * All rights reserved.
 * EMULEX and SLI are trademarks of Emulex.
 * www.emulex.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as published
 * by the Free Software Foundation. This program is distributed in the hope that
 * it will be useful. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND
 * WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT
 * THAT SUCH DISCLAIMERS ARE HELD TO BE LEGALLY INVALID. See the GNU General
 * Public License for more details, a copy of which can be found in the file
 * COPYING included with this package.
 */
/*!
@file
   pch.h

@brief

    Each .c file in beclib includes this "precompiled header" file.
    It should ONLY be included by beclib files.
    Clients of beclib should include "beclib.h" instead.

   
CVS Header Information:
   $Header: /opt/be_cvsrepo/dsn.sw.host.drivers/dsn/sw/host/drivers/beclib/linuxk/pch.h,v 1.2 2006/02/21 03:20:43 menz Exp $
*/
#ifndef __pch_h__
#define __pch_h__


// -----------------------------------------------------------------------
//    Our custom includes
// -----------------------------------------------------------------------

#ifndef _SA_MODULE_NAME
#define _SA_MODULE_NAME "beclib_lk" 
#endif
#define BECLIB_BUILD

#include "beclib_ll.h"
#include "beclib_private_ll.h"
#include "bestatus.h"

#endif // __pch_h__

